### Method

# WebKit PrintOperation run_dialog

#### Declaration [src]

    WebKitPrintOperationResponse
    webkit_print_operation_run_dialog (
      WebKitPrintOperation* print_operation,
      GtkWindow* parent
    )

#### Description [src]

Run the print dialog and start printing.

Run the print dialog and start printing using the options selected by the user. This method returns when the print dialog is closed. If the print dialog is cancelled `WEBKIT_PRINT_OPERATION_RESPONSE_CANCEL` is returned. If the user clicks on the print button, `WEBKIT_PRINT_OPERATION_RESPONSE_PRINT` is returned and the print operation starts. In this case, the `WebKitPrintOperation::finished` signal is emitted when the operation finishes. If an error occurs while printing, the signal `WebKitPrintOperation::failed` is emitted before `WebKitPrintOperation::finished`. If the print dialog is not cancelled current print settings and page setup of `print_operation` are updated with options selected by the user when Print button is pressed in print dialog. You can get the updated print settings and page setup by calling `webkit_print_operation_get_print_settings()` and `webkit_print_operation_get_page_setup()` after this method.

#### Parameters

`parent` | `GtkWindow`
| Transient parent of the print dialog.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `WebKitPrintOperationResponse`
| The `WebKitPrintOperationResponse` of the print dialog.